> [!WARNING]
> Display \& Video 360 API v5 is currently in beta.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v5/inventorySourceGroups.assignedInventorySources/bulkEdit#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v5/inventorySourceGroups.assignedInventorySources/bulkEdit#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v5/inventorySourceGroups.assignedInventorySources/bulkEdit#body.request_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v5/inventorySourceGroups.assignedInventorySources/bulkEdit#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v5/inventorySourceGroups.assignedInventorySources/bulkEdit#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v5/inventorySourceGroups.assignedInventorySources/bulkEdit#body.BulkEditAssignedInventorySourcesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v5/inventorySourceGroups.assignedInventorySources/bulkEdit#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v5/inventorySourceGroups.assignedInventorySources/bulkEdit#try-it)

Bulk edits multiple assignments between inventory sources and a single inventory source group.

The operation will delete the assigned inventory sources provided in `https://developers.google.com/display-video/api/reference/rest/v5/inventorySourceGroups.assignedInventorySources/bulkEdit#body.request_body.FIELDS.deleted_assigned_inventory_sources` and then create the assigned inventory sources provided in `https://developers.google.com/display-video/api/reference/rest/v5/inventorySourceGroups.assignedInventorySources/bulkEdit#body.request_body.FIELDS.created_assigned_inventory_sources`.

### HTTP request

`POST https://displayvideo.googleapis.com/v5/inventorySourceGroups/{inventorySourceGroupId}/assignedInventorySources:bulkEdit`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `inventorySourceGroupId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the inventory source group to which the assignments are assigned. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "deletedAssignedInventorySources": [ string ], "createdAssignedInventorySources": [ { object (`https://developers.google.com/display-video/api/reference/rest/v5/inventorySourceGroups.assignedInventorySources#AssignedInventorySource`) } ], // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "partnerId": string, "advertiserId": string // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| `deletedAssignedInventorySources[]` | `string (https://developers.google.com/discovery/v1/type-format format)` The IDs of the assigned inventory sources to delete in bulk, specified as a list of `https://developers.google.com/display-video/api/reference/rest/v5/inventorySourceGroups.assignedInventorySources#AssignedInventorySource.FIELDS.assigned_inventory_source_id`. |
| `createdAssignedInventorySources[]` | ``object (`https://developers.google.com/display-video/api/reference/rest/v5/inventorySourceGroups.assignedInventorySources#AssignedInventorySource`)`` The assigned inventory sources to create in bulk, specified as a list of `https://developers.google.com/display-video/api/reference/rest/v5/inventorySourceGroups.assignedInventorySources#AssignedInventorySource`. |
| Required. Identifies the DV360 entity that owns the parent inventory source group. It can be either a partner or an advertiser. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `partnerId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the partner that owns the inventory source group. Only this partner has write access to these assigned inventory sources. |
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the advertiser that owns the parent inventory source group. The parent partner does not have access to these assigned inventory sources. |
| End of mutually exclusive fields. ||

### Response body

Response message for AssignedInventorySourceService.BulkEdit.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "assignedInventorySources": [ { object (`https://developers.google.com/display-video/api/reference/rest/v5/inventorySourceGroups.assignedInventorySources#AssignedInventorySource`) } ] } ``` |

| Fields ||
|---|---|
| `assignedInventorySources[]` | ``object (`https://developers.google.com/display-video/api/reference/rest/v5/inventorySourceGroups.assignedInventorySources#AssignedInventorySource`)`` The list of assigned inventory sources that have been successfully created. This list will be absent if empty. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).